ZIP_ERROR_CLEAR(3) | Library Functions Manual | ZIP_ERROR_CLEAR(3)

# NAME

`zip_error_clear`, `zip_file_error_clear` —
clear error state for archive or file

# LIBRARY

libzip (-lzip)

# SYNOPSIS

`#include <zip.h>`

void
`zip_error_clear`(zip_t *archive);

void
`zip_file_error_clear`(zip_file_t *file);

# DESCRIPTION

The `zip_error_clear`() function clears the error state for the zip archive archive.

The `zip_file_error_clear`() function does the same for the zip file file.

# SEE ALSO

libzip(3), zip_get_error(3)

# HISTORY

`zip_error_clear`() and `zip_file_error_clear`() were added in libzip 0.8.

# AUTHORS

Dieter Baron <dillo@nih.at> and Thomas Klausner <tk@giga.or.at>

December 18, 2017 | NetBSD 8.99.35